﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		//Create a DataTable with two columns
		DataTable tbl = new DataTable();
		tbl.Columns.Add(new DataColumn("ID"));
		tbl.Columns.Add(new DataColumn("MonthName"));
		//Set the number of the Series and SeriesItems
		int numberSeries = 2;
		int nubmerItems = 3;
		//Fill values for ID and MonthName columns
		for (int i = 0; i < nubmerItems; i++)
		{
			tbl.Rows.Add();
			tbl.Rows[i]["ID"] = i + 1;
			tbl.Rows[i]["MonthName"] = "Month" + (i + 1);
		}

		for (int i = 1; i <= numberSeries; i++)
		{
			ColumnSeries currSeries = new ColumnSeries();
			//Create columns used for DataFieldY and ClientTemplate properties
			string currDSColumn = "DataSourceColumn" + i;
			string tooltipColumn = "ToolTipColumn" + i;
			tbl.Columns.Add(new DataColumn(currDSColumn));
			tbl.Columns.Add(new DataColumn(tooltipColumn));
			RadHtmlChart1.PlotArea.Series.Add(currSeries);
			currSeries.DataFieldY = currDSColumn;
			currSeries.TooltipsAppearance.ClientTemplate = "#=dataItem." + tooltipColumn + "#";
			//Reference the XAxis labels to MonthName column
			RadHtmlChart1.PlotArea.XAxis.DataLabelsField = "MonthName";	
			//Fill values for Series YValues and ToolTips
			for (int g = 0; g < nubmerItems; g++)
			{
				tbl.Rows[g][currDSColumn] = g + 1;
				tbl.Rows[g][tooltipColumn] = "Tooltip for Series" + (g + 1);
			}
		}
		//Databind the chart to the datatable
		RadHtmlChart1.DataSource = tbl;
		RadHtmlChart1.DataBind();

	}
}